#!/bin/sh
# Note that it may be necessary to patch <sys/procfs.h>, since
# it (mis)uses features not supported by GCC 4.0.  See
# <http://gcc.gnu.org/ml/gcc/2005-01/msg00509.html>
CFLAGS="-D_GNU_SOURCE";export CFLAGS
h-to-ffi.sh /usr/include/_G_config.h
h-to-ffi.sh /usr/include/a.out.h
h-to-ffi.sh /usr/include/aio.h
h-to-ffi.sh /usr/include/aliases.h
h-to-ffi.sh /usr/include/alloca.h
h-to-ffi.sh /usr/include/ar.h
h-to-ffi.sh /usr/include/argp.h
h-to-ffi.sh /usr/include/argz.h
h-to-ffi.sh /usr/include/arpa/ftp.h
h-to-ffi.sh /usr/include/arpa/inet.h
h-to-ffi.sh /usr/include/arpa/nameser.h
h-to-ffi.sh /usr/include/arpa/telnet.h
h-to-ffi.sh /usr/include/arpa/tftp.h
h-to-ffi.sh /usr/include/assert.h
h-to-ffi.sh /usr/include/byteswap.h
h-to-ffi.sh /usr/include/complex.h
h-to-ffi.sh /usr/include/cpio.h
h-to-ffi.sh /usr/include/crypt.h
h-to-ffi.sh /usr/include/ctype.h
#h-to-ffi.sh /usr/include/db1/db.h
#h-to-ffi.sh /usr/include/db1/mpool.h
#h-to-ffi.sh /usr/include/db1/ndbm.h
h-to-ffi.sh /usr/include/dirent.h
h-to-ffi.sh -D _GNU_SOURCE  /usr/include/dlfcn.h
h-to-ffi.sh /usr/include/elf.h
h-to-ffi.sh /usr/include/endian.h
h-to-ffi.sh /usr/include/envz.h
h-to-ffi.sh /usr/include/err.h
h-to-ffi.sh /usr/include/errno.h
h-to-ffi.sh /usr/include/error.h
h-to-ffi.sh /usr/include/execinfo.h
h-to-ffi.sh /usr/include/fcntl.h
h-to-ffi.sh /usr/include/features.h
h-to-ffi.sh /usr/include/fenv.h
h-to-ffi.sh /usr/include/fmtmsg.h
h-to-ffi.sh /usr/include/fnmatch.h
h-to-ffi.sh /usr/include/fpu_control.h
h-to-ffi.sh /usr/include/fstab.h
h-to-ffi.sh /usr/include/fts.h
h-to-ffi.sh /usr/include/ftw.h
h-to-ffi.sh /usr/include/gconv.h
h-to-ffi.sh /usr/include/getopt.h
h-to-ffi.sh /usr/include/glob.h
h-to-ffi.sh /usr/include/gnu-versions.h
h-to-ffi.sh /usr/include/gnu/lib-names.h
h-to-ffi.sh /usr/include/gnu/libc-version.h
h-to-ffi.sh /usr/include/gnu/stubs.h
h-to-ffi.sh /usr/include/grp.h
h-to-ffi.sh /usr/include/iconv.h
h-to-ffi.sh /usr/include/ieee754.h
h-to-ffi.sh /usr/include/ifaddrs.h
h-to-ffi.sh /usr/include/inttypes.h
h-to-ffi.sh /usr/include/langinfo.h
h-to-ffi.sh /usr/include/lastlog.h
h-to-ffi.sh /usr/include/libgen.h
h-to-ffi.sh /usr/include/libintl.h
h-to-ffi.sh /usr/include/libio.h
#h-to-ffi.sh /usr/include/limits.h
h-to-ffi.sh -include /usr/include/sys/socket.h /usr/include/linux/can.h
h-to-ffi.sh /usr/include/link.h
h-to-ffi.sh /usr/include/locale.h
h-to-ffi.sh /usr/include/malloc.h
h-to-ffi.sh /usr/include/math.h
h-to-ffi.sh /usr/include/mcheck.h
h-to-ffi.sh /usr/include/memory.h
h-to-ffi.sh /usr/include/mntent.h
h-to-ffi.sh /usr/include/monetary.h
h-to-ffi.sh /usr/include/net/ethernet.h
h-to-ffi.sh /usr/include/net/if.h
h-to-ffi.sh /usr/include/net/if_arp.h
h-to-ffi.sh /usr/include/net/if_packet.h
h-to-ffi.sh -include /usr/include/sys/capability.h /usr/include/net/if_ppp.h
h-to-ffi.sh /usr/include/net/if_shaper.h
h-to-ffi.sh /usr/include/net/if_slip.h
h-to-ffi.sh -include /usr/include/sys/capability.h -include /usr/include/net/ppp_defs.h /usr/include/net/ppp-comp.h
h-to-ffi.sh /usr/include/net/route.h
h-to-ffi.sh /usr/include/netash/ash.h
#h-to-ffi.sh -include /usr/include/sys/socket.h /usr/include/netatalk/at.h
h-to-ffi.sh /usr/include/netax25/ax25.h
h-to-ffi.sh /usr/include/netdb.h
h-to-ffi.sh /usr/include/neteconet/ec.h
h-to-ffi.sh /usr/include/netinet/ether.h
h-to-ffi.sh /usr/include/netinet/icmp6.h
h-to-ffi.sh /usr/include/netinet/if_ether.h
#h-to-ffi.sh /usr/include/netinet/if_fddi.h
#h-to-ffi.sh /usr/include/netinet/if_tr.h
h-to-ffi.sh /usr/include/netinet/igmp.h
h-to-ffi.sh /usr/include/netinet/in.h
h-to-ffi.sh /usr/include/netinet/in_systm.h
h-to-ffi.sh /usr/include/netinet/ip.h
h-to-ffi.sh /usr/include/netinet/ip6.h
h-to-ffi.sh /usr/include/netinet/ip_icmp.h
h-to-ffi.sh /usr/include/netinet/tcp.h
h-to-ffi.sh /usr/include/netinet/udp.h
h-to-ffi.sh /usr/include/netipx/ipx.h
h-to-ffi.sh /usr/include/netpacket/packet.h
h-to-ffi.sh /usr/include/netrom/netrom.h
h-to-ffi.sh -include /usr/include/netax25/ax25.h /usr/include/netrose/rose.h
h-to-ffi.sh /usr/include/nfs/nfs.h
h-to-ffi.sh /usr/include/nl_types.h
h-to-ffi.sh /usr/include/nss.h
h-to-ffi.sh /usr/include/obstack.h
h-to-ffi.sh /usr/include/paths.h
h-to-ffi.sh -include /usr/include/sys/types.h -include /usr/include/sys/time.h  -include /usr/include/stdio.h -include /usr/include/pcap-bpf.h /usr/include/pcap-namedb.h
h-to-ffi.sh /usr/include/pcap.h
h-to-ffi.sh /usr/include/pci/config.h
h-to-ffi.sh /usr/include/pci/header.h
h-to-ffi.sh /usr/include/pci/pci.h
h-to-ffi.sh /usr/include/poll.h
h-to-ffi.sh /usr/include/printf.h
h-to-ffi.sh /usr/include/protocols/routed.h
h-to-ffi.sh /usr/include/protocols/rwhod.h
h-to-ffi.sh /usr/include/protocols/talkd.h
h-to-ffi.sh /usr/include/protocols/timed.h
h-to-ffi.sh /usr/include/pthread.h
h-to-ffi.sh /usr/include/pty.h
h-to-ffi.sh /usr/include/pwd.h
h-to-ffi.sh -include /usr/include/sys/types.h /usr/include/re_comp.h
h-to-ffi.sh -include /usr/include/sys/types.h /usr/include/regex.h 
#h-to-ffi.sh /usr/include/regexp.h
h-to-ffi.sh /usr/include/rpc/auth.h
h-to-ffi.sh /usr/include/rpc/auth_des.h
h-to-ffi.sh /usr/include/rpc/auth_unix.h
h-to-ffi.sh /usr/include/rpc/clnt.h
h-to-ffi.sh /usr/include/rpc/des_crypt.h
h-to-ffi.sh /usr/include/rpc/key_prot.h
h-to-ffi.sh /usr/include/rpc/netdb.h
h-to-ffi.sh /usr/include/rpc/pmap_clnt.h
h-to-ffi.sh /usr/include/rpc/pmap_prot.h
h-to-ffi.sh /usr/include/rpc/pmap_rmt.h
h-to-ffi.sh /usr/include/rpc/rpc.h
h-to-ffi.sh /usr/include/rpc/rpc_des.h
h-to-ffi.sh /usr/include/rpc/rpc_msg.h
h-to-ffi.sh /usr/include/rpc/svc.h
h-to-ffi.sh /usr/include/rpc/svc_auth.h
h-to-ffi.sh /usr/include/rpc/types.h
h-to-ffi.sh /usr/include/rpc/xdr.h
h-to-ffi.sh /usr/include/rpcsvc/bootparam.h
h-to-ffi.sh /usr/include/rpcsvc/bootparam_prot.h
h-to-ffi.sh /usr/include/rpcsvc/key_prot.h
h-to-ffi.sh /usr/include/rpcsvc/klm_prot.h
h-to-ffi.sh /usr/include/rpcsvc/mount.h
h-to-ffi.sh /usr/include/rpcsvc/nfs_prot.h
h-to-ffi.sh /usr/include/rpcsvc/nis.h
h-to-ffi.sh /usr/include/rpcsvc/nlm_prot.h
h-to-ffi.sh /usr/include/rpcsvc/rex.h
h-to-ffi.sh /usr/include/rpcsvc/rquota.h
h-to-ffi.sh /usr/include/rpcsvc/rstat.h
h-to-ffi.sh /usr/include/rpcsvc/rusers.h
h-to-ffi.sh /usr/include/rpcsvc/sm_inter.h
h-to-ffi.sh /usr/include/rpcsvc/spray.h
h-to-ffi.sh /usr/include/rpcsvc/yp.h
h-to-ffi.sh /usr/include/rpcsvc/yp_prot.h
h-to-ffi.sh /usr/include/rpcsvc/ypclnt.h
h-to-ffi.sh /usr/include/rpcsvc/yppasswd.h
h-to-ffi.sh /usr/include/rpcsvc/ypupd.h
h-to-ffi.sh /usr/include/sched.h
h-to-ffi.sh /usr/include/scsi/scsi.h
h-to-ffi.sh /usr/include/scsi/scsi_ioctl.h
h-to-ffi.sh -include /usr/include/sys/types.h /usr/include/scsi/sg.h
h-to-ffi.sh /usr/include/search.h
h-to-ffi.sh /usr/include/semaphore.h
h-to-ffi.sh /usr/include/setjmp.h
h-to-ffi.sh /usr/include/sgtty.h
h-to-ffi.sh /usr/include/shadow.h
h-to-ffi.sh /usr/include/spawn.h
h-to-ffi.sh /usr/include/signal.h
h-to-ffi.sh /usr/include/stab.h
#h-to-ffi.sh /usr/include/stack-alloc.h
h-to-ffi.sh /usr/include/stdint.h
h-to-ffi.sh /usr/include/stdio.h
h-to-ffi.sh -D_GNU_SOURCE /usr/include/stdlib.h
h-to-ffi.sh /usr/include/string.h
h-to-ffi.sh /usr/include/strings.h
h-to-ffi.sh /usr/include/stropts.h
h-to-ffi.sh /usr/include/sys/acct.h
h-to-ffi.sh /usr/include/sys/bitypes.h
h-to-ffi.sh /usr/include/sys/cdefs.h
h-to-ffi.sh /usr/include/sys/dir.h
h-to-ffi.sh /usr/include/sys/errno.h
h-to-ffi.sh /usr/include/sys/fcntl.h
h-to-ffi.sh /usr/include/sys/file.h
h-to-ffi.sh /usr/include/sys/fsuid.h
h-to-ffi.sh /usr/include/sys/gmon.h
h-to-ffi.sh /usr/include/sys/gmon_out.h
h-to-ffi.sh /usr/include/sys/ioctl.h
h-to-ffi.sh /usr/include/sys/ipc.h
h-to-ffi.sh /usr/include/sys/kd.h
h-to-ffi.sh /usr/include/sys/kdaemon.h
h-to-ffi.sh /usr/include/sys/klog.h
h-to-ffi.sh /usr/include/sys/mman.h
h-to-ffi.sh /usr/include/sys/mount.h
h-to-ffi.sh /usr/include/sys/msg.h
h-to-ffi.sh /usr/include/sys/mtio.h
h-to-ffi.sh /usr/include/sys/param.h
h-to-ffi.sh /usr/include/sys/pci.h
h-to-ffi.sh /usr/include/sys/poll.h
h-to-ffi.sh /usr/include/sys/prctl.h
h-to-ffi.sh /usr/include/sys/procfs.h
h-to-ffi.sh /usr/include/sys/profil.h
h-to-ffi.sh /usr/include/sys/ptrace.h
h-to-ffi.sh /usr/include/sys/queue.h
h-to-ffi.sh /usr/include/sys/quota.h
h-to-ffi.sh /usr/include/sys/raw.h
h-to-ffi.sh /usr/include/sys/reboot.h
h-to-ffi.sh /usr/include/sys/resource.h
h-to-ffi.sh /usr/include/sys/select.h
h-to-ffi.sh /usr/include/sys/sem.h
h-to-ffi.sh /usr/include/sys/sendfile.h
h-to-ffi.sh /usr/include/sys/shm.h
h-to-ffi.sh /usr/include/sys/signal.h
h-to-ffi.sh /usr/include/sys/socket.h
h-to-ffi.sh /usr/include/sys/socketvar.h
h-to-ffi.sh /usr/include/sys/soundcard.h
h-to-ffi.sh /usr/include/sys/stat.h
h-to-ffi.sh /usr/include/sys/statfs.h
h-to-ffi.sh /usr/include/sys/statvfs.h
h-to-ffi.sh /usr/include/sys/stropts.h
h-to-ffi.sh /usr/include/sys/swap.h
h-to-ffi.sh /usr/include/sys/syscall.h
h-to-ffi.sh /usr/include/sys/sysctl.h
h-to-ffi.sh /usr/include/sys/sysinfo.h
h-to-ffi.sh /usr/include/sys/syslog.h
h-to-ffi.sh /usr/include/sys/sysmacros.h
h-to-ffi.sh /usr/include/sys/termios.h
h-to-ffi.sh /usr/include/sys/time.h
h-to-ffi.sh /usr/include/sys/timeb.h
h-to-ffi.sh /usr/include/sys/times.h
h-to-ffi.sh /usr/include/sys/timex.h
h-to-ffi.sh /usr/include/sys/ttychars.h
h-to-ffi.sh /usr/include/sys/ttydefaults.h
h-to-ffi.sh /usr/include/sys/types.h
h-to-ffi.sh /usr/include/sys/ucontext.h
h-to-ffi.sh /usr/include/sys/uio.h
h-to-ffi.sh /usr/include/sys/ultrasound.h
h-to-ffi.sh /usr/include/sys/un.h
h-to-ffi.sh /usr/include/sys/unistd.h
h-to-ffi.sh -include /usr/include/sys/types.h /usr/include/sys/user.h
h-to-ffi.sh /usr/include/sys/ustat.h
h-to-ffi.sh /usr/include/sys/utsname.h
h-to-ffi.sh /usr/include/sys/vfs.h
h-to-ffi.sh /usr/include/sys/vlimit.h
h-to-ffi.sh /usr/include/sys/vt.h
h-to-ffi.sh /usr/include/sys/vtimes.h
h-to-ffi.sh /usr/include/sys/wait.h
h-to-ffi.sh /usr/include/syscall.h
h-to-ffi.sh /usr/include/sysexits.h
h-to-ffi.sh /usr/include/syslog.h
h-to-ffi.sh /usr/include/tar.h
h-to-ffi.sh /usr/include/termio.h
h-to-ffi.sh /usr/include/termios.h
h-to-ffi.sh /usr/include/tgmath.h
h-to-ffi.sh /usr/include/thread_db.h
h-to-ffi.sh /usr/include/time.h
h-to-ffi.sh /usr/include/ttyent.h
h-to-ffi.sh /usr/include/ucontext.h
h-to-ffi.sh /usr/include/ulimit.h
h-to-ffi.sh /usr/include/unistd.h
h-to-ffi.sh /usr/include/ustat.h
h-to-ffi.sh /usr/include/utime.h
h-to-ffi.sh /usr/include/utmp.h
h-to-ffi.sh /usr/include/utmpx.h
h-to-ffi.sh /usr/include/values.h
h-to-ffi.sh /usr/include/wait.h
h-to-ffi.sh /usr/include/wchar.h
h-to-ffi.sh /usr/include/wctype.h
h-to-ffi.sh /usr/include/wordexp.h
h-to-ffi.sh /usr/include/xlocale.h
h-to-ffi.sh /usr/include/zlib.h
